Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.embedded.junit
Class ClasspathBasedTestServices

    java.lang.Object
      org.jboss.test.AbstractTestDelegate
          org.jboss.test.JBossTestServices
              org.jboss.embedded.junit.ClasspathBasedTestServices

    public class ClasspathBasedTestServices

extends org.jboss.test.JBossTestServices

comment

Version:
  $Revision: 1.1 $
Author:
  Bill Burke

Field Summary

Fields inherited from class org.jboss.test.JBossTestServices
`DEFAULT_BEANCOUNT, DEFAULT_ITERATIONCOUNT, DEFAULT_LOGIN_CONFIG, DEFAULT_PASSWORD, DEFAULT_THREADCOUNT, DEFAULT_USERNAME, DEPLOYER_NAME, initialContext, jndiEnv, lc, server`

Fields inherited from class org.jboss.test.AbstractTestDelegate
`clazz, enableSecurity, log, logging, policy, securityPolicyName`

Constructor Summary
`ClasspathBasedTestServices(java.lang.Class clazz)`
`ClasspathBasedTestServices(java.lang.String className)`

Method Summary
`void` | `deploy(java.lang.String name)`
`javax.management.MBeanServerConnection` | `getServer()`
`void` | `redeploy(java.lang.String name)`
`void` | `setUp()`
`void` | `tearDown()`
`void` | `undeploy(java.lang.String name)`

Methods inherited from class org.jboss.test.JBossTestServices
`getDeployURL, getInitialContext, getServerHost, init, invoke, invoke, login, logout, reinit`

Methods inherited from class org.jboss.test.AbstractTestDelegate
`enableTrace, getDelegate, getLog, log, setUpLogging, setUpSecurity, tearDownLogging, tearDownSecurity`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClasspathBasedTestServices

    public ClasspathBasedTestServices(java.lang.String className)

### ClasspathBasedTestServices

    public ClasspathBasedTestServices(java.lang.Class clazz)

Method Detail

### setUp

    public void setUp()
               throws java.lang.Exception

  Overrides:
    `setUp` in class `org.jboss.test.JBossTestServices`
  Throws:
    `java.lang.Exception`

### tearDown

    public void tearDown()
                  throws java.lang.Exception

  Overrides:
    `tearDown` in class `org.jboss.test.JBossTestServices`
  Throws:
    `java.lang.Exception`

### getServer

    public javax.management.MBeanServerConnection getServer()
                                                     throws java.lang.Exception

  Overrides:
    `getServer` in class `org.jboss.test.JBossTestServices`
  Throws:
    `java.lang.Exception`

### deploy

    public void deploy(java.lang.String name)
                throws java.lang.Exception

  Overrides:
    `deploy` in class `org.jboss.test.JBossTestServices`
  Throws:
    `java.lang.Exception`

### redeploy

    public void redeploy(java.lang.String name)
                  throws java.lang.Exception

  Overrides:
    `redeploy` in class `org.jboss.test.JBossTestServices`
  Throws:
    `java.lang.Exception`

### undeploy

    public void undeploy(java.lang.String name)
                  throws java.lang.Exception

  Overrides:
    `undeploy` in class `org.jboss.test.JBossTestServices`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD